export = generatePdfFromImages;
/**
 *
 * @param {ARRAY} images - check the formats here => http://raw.githack.com/MrRio/jsPDF/master/docs/module-addImage.html#~addImage
 * @param {STRING} output_method - check the formats here => http://raw.githack.com/MrRio/jsPDF/master/docs/jsPDF.html#output
 * @param {Boolean} save - would you like to save the pdf?
 * @param {STRING} pdfname - if you want to save the pdf then what is it's name
 * @returns output
 */
interface image {
  src: string | HTMLImageElement | HTMLCanvasElement | Uint8Array | RGBAData;
  width: string;
  height: string;
  imageType: "PNG" | "JPEG" | "WEBP";
}
type img = [image?];
declare function generatePdfFromImages(
  images: img,
  output_method:
    | arraybuffer
    | blob
    | bloburi
    | bloburldatauristring
    | dataurlstring
    | datauri
    | dataurl
    | dataurlnewwindow
    | pdfobjectnewwindow
    | pdfjsnewwindow,
  save: boolean,
  pdfname?: string
):
  | arraybuffer
  | blob
  | bloburi
  | bloburldatauristring
  | dataurlstring
  | datauri
  | dataurl
  | dataurlnewwindow
  | pdfobjectnewwindow
  | pdfjsnewwindow;
